# SnappyMail webmail Docker container

This repository contains Snappymail webmail Docker container build scripts and neccessary configuration files.

## Persistent things

There are some things that should be preserved between container's restarts. Please, add new volume for ``/var/www/snappymail/data`` directory.

If you're binding directory except of creating volume please do proper ``chown``:

```shell
chown -R 100:101 /dir/with/data
```

## Use with docker-compose

You may use this image with docker-compose like that *(do not forget to replace version with needed one!)*:

```yaml
version: "2.4"

services:
  rainloop:
    restart: always
    image: "code.pztrn.name/containers/snappymail:2.17.0"
    volumes:
      - "/root/snappymail/data:/var/www/snappymail/data"
    ports:
      - "5480:80"
    cpus: 2
    mem_limit: 1G
    memswap_limit: 0
```
